menu_opts(3X)

NAME
set_menu_opts, menu_opts_on, menu_opts_off, menu_opts - set and get menu options

SYNOPSIS
#include <menu.h>

int set_menu_opts(MENU *menu, Menu_Options opts);
Menu_Options menu_opts(const MENU *menu);

int menu_opts_on(MENU *menu, Menu_Options opts);
int menu_opts_off(MENU *menu, Menu_Options opts);

DESCRIPTION
The function set_menu_opts sets all the given menu's option bits (menu option bits may be logically-OR'ed together).

The function menu_opts_on turns on the given option bits, and leaves others alone.

The function menu_opts_off turns off the given option bits, and leaves others alone.

The function menu_opts returns the menu's current option bits.

The following options are defined (all are on by default):

O_ONEVALUE
    Only one item can be selected for this menu.

O_SHOWDESC
    Display the item descriptions when the menu is posted.

O_ROWMAJOR
    Display the menu in row-major order.

O_IGNORECASE
    Ignore the case when pattern-matching.

O_SHOWMATCH
    Move the cursor to within the item name while pattern-matching.

O_NONCYCLIC
    Don't wrap around next-item and previous-item, requests to the other end of the menu.

O_MOUSE_MENU
    If user clicks with the mouse and it does not fall on the currently active menu, push KEY_MOUSE and the MEVENT data back on the queue to allow processing in another part of the calling program.

RETURN VALUE
Except for menu_opts, each routine returns one of the following:

E_OK
    The routine succeeded.

E_SYSTEM_ERROR
    System error occurred (see errno(3)).

E_POSTED
    The menu is already posted.

PORTABILITY
These routines emulate the System V menu library. They were not supported on Version 7 or BSD versions.

AUTHORS
Juergen Pfeifer. Manual pages and adaptation for new curses by Eric S. Raymond.

SEE ALSO
curses(3X), menu(3X)